@echo off
if not exist prepare.cmd a:
if NOT %1. == . GOTO check
:explain
echo Usage:
echo *            PREPARE bootdrive
echo *
echo *    Where "bootdrive" is your OS/2 boot drive.  Example:
echo *
echo *           PREPARE C
echo *           PREPARE D
echo *             etc.
goto end
:check
if %1. == A. goto baddrive
if %1. == B. goto baddrive
if %1. == c. goto okdrive
if %1. == d. goto okdrive
if %1. == C. goto okdrive
if %1. == D. goto okdrive
if %1. == E. goto okdrive
if %1. == F. goto okdrive
if %1. == G. goto okdrive
if %1. == H. goto okdrive
if %1. == I. goto okdrive
if %1. == J. goto okdrive
if %1. == K. goto okdrive
if %1. == L. goto okdrive
if %1. == M. goto okdrive
if %1. == N. goto okdrive
if %1. == O. goto okdrive
if %1. == P. goto okdrive
if %1. == Q. goto okdrive
if %1. == R. goto okdrive
if %1. == S. goto okdrive
if %1. == T. goto okdrive
if %1. == U. goto okdrive
if %1. == V. goto okdrive
if %1. == W. goto okdrive
if %1. == X. goto okdrive
if %1. == Y. goto okdrive
if %1. == Z. goto okdrive
if %1. == a. goto baddrive
if %1. == b. goto baddrive
if %1. == e. goto okdrive
if %1. == f. goto okdrive
if %1. == g. goto okdrive
if %1. == h. goto okdrive
if %1. == i. goto okdrive
if %1. == j. goto okdrive
if %1. == k. goto okdrive
if %1. == l. goto okdrive
if %1. == m. goto okdrive
if %1. == n. goto okdrive
if %1. == o. goto okdrive
if %1. == p. goto okdrive
if %1. == q. goto okdrive
if %1. == r. goto okdrive
if %1. == s. goto okdrive
if %1. == t. goto okdrive
if %1. == u. goto okdrive
if %1. == v. goto okdrive
if %1. == w. goto okdrive
if %1. == x. goto okdrive
if %1. == y. goto okdrive
if %1. == z. goto okdrive
goto explain
:okdrive
REM put the action here
if not exist %1:\os2 goto baddrive

echo Preparing system...
attrib -r %1:\os2\screen01.sys
copy screen01.* %1:\OS2 > nul
copy vsvga.* %1:\OS2\mdos > nul
copy vvga.* %1:\OS2\mdos > nul

if exist %1:\os2\boot goto v3
goto continst
:v3
unpack endive1.pak %1:
unpack endive2.pak %1:
:continst

ECHO OFF
ECHO ******************************************************
ECHO *** You must now shut down your system and reboot !***
ECHO ******************************************************

goto end
:baddrive
echo ERROR -- Cannot install to drive %1:
goto end
:fail
echo !!!  Installation was unsuccessful
echo .
echo .
echo .
:end
